<?php
	define("SIMULATION", false);

	// XMLRPC-Server (CCU) Data
	define("XMLRPC_SESSION_ID", "5a84209d79e24c8f886db91adee99d4c"); // must have 32 characters in HEX
	define("XMLRPC_SERVER_ADDRESS", "127.0.0.1");

	// XMLRPC-Client Data
	define("XMLRPC_CLIENT_ADDRESS", "127.0.0.1");
	define("XMLRPC_CLIENT_PORT", "80");
	define("XMLRPC_CLIENT_PATH", "/includes/php/xmlrpc_server.php");
	define("XMLRPC_CLIENT_COMPLETE_PATH", XMLRPC_CLIENT_ADDRESS.":".XMLRPC_CLIENT_PORT.XMLRPC_CLIENT_PATH);
	
	define("DATE_TIME_STRING", "F d, Y H:i:s");

	// nach der ersten zutreffenden Regel wird abgebrochen
	// regeln als Regular Expressions
	$GLOBALS['historyRules'] = array( 	
		1 	=> array("DEVICE" => "/.*/", 								"DATAPOINT" => "/^MOTION$/i", 			"VALUE" => "/^true$/i", 	"HISTORY" => 8, "LOG_TO_FILE" => false),
		2 	=> array("DEVICE" => "/.*/", 								"DATAPOINT" => "/^MOTION$/i", 			"VALUE" => "/^false$/i", 	"HISTORY" => 0, "LOG_TO_FILE" => false),
		3 	=> array("DEVICE" => "/^(GEQ0001234:1|GEQ0001231:1)$/i", 	"DATAPOINT" => "/^STATE$/i", 			"VALUE" => "/^true$/i",		"HISTORY" => 2, "LOG_TO_FILE" => false),
		4 	=> array("DEVICE" => "/^(GEQ0001234:1|GEQ0001231:1)$/i", 	"DATAPOINT" => "/^STATE$/i", 			"VALUE" => "/^false$/i",	"HISTORY" => 0, "LOG_TO_FILE" => false),
		46 	=> array("DEVICE" => "/.*/", 								"DATAPOINT" => "/^WORKING$/i",			"VALUE" => "/.*/",			"HISTORY" => 0, "LOG_TO_FILE" => false),
		47 	=> array("DEVICE" => "/.*/", 								"DATAPOINT" => "/^ERROR$/i",			"VALUE" => "/.*/",			"HISTORY" => 0, "LOG_TO_FILE" => false),
		48 	=> array("DEVICE" => "/.*/", 								"DATAPOINT" => "/^STICKY_UNREACH$/i",	"VALUE" => "/.*/",			"HISTORY" => 0, "LOG_TO_FILE" => false),
		49 	=> array("DEVICE" => "/.*/", 								"DATAPOINT" => "/^CONFIG_PENDING$/i",	"VALUE" => "/.*/",			"HISTORY" => 0, "LOG_TO_FILE" => false),
		50 	=> array("DEVICE" => "/.*/", 								"DATAPOINT" => "/.*/", 					"VALUE" => "/.*/", 			"HISTORY" => 0, "LOG_TO_FILE" => false) // sollte immer letzter eintrag sein. History fr alle Gerte, Datenpunkte und Werte
	);


	// CUSTOM DEFINES !!! -------------------------------------------------------------
	
	// Weather Data
	define("WEATHERFILE_SOURCE", "http://192.168.0.2:80/addons/weathercache/");
	
	// Sonos-Player Data
	define("SONOS_ADDRESS", "127.0.0.1");
	define("SONOS_PORT", "1400");
	define("SONOS_INSTANCE_ID", 0);
	define("SONOS_USER", "noway2041");


	// SONOS XMLRPC-Client Data
	define("SONOS_SESSION_ID", XMLRPC_SESSION_ID);
	define("SONOS_CLIENT_ADDRESS", XMLRPC_CLIENT_ADDRESS);
	define("SONOS_CLIENT_PORT", XMLRPC_CLIENT_PORT);
	define("SONOS_TIMEOUT", 18000);
	define("SONOS_CLIENT_PATH", "/includes/php/sonos_server.php");
	define("SONOS_CLIENT_COMPLETE_PATH", "http://".SONOS_CLIENT_ADDRESS.":".SONOS_CLIENT_PORT.SONOS_CLIENT_PATH."?sessid=".SONOS_SESSION_ID);
	
?>