// JavaScript Document

var ajaxRequest = function(Var_Url, Var_Method, Var_ASync, Var_ReturnXml)
{
	this.Url		= Var_Url;
	this.Method		= Var_Method || "GET";
	this.ASync		= Var_ASync || true;
	this.ReturnXml	= Var_ReturnXml || false;
	this.Body		= null;
	this.Head		= false;
	
	var _this = this;
	
	//------------------------------------------------------------
	try {
		this.request = new XMLHttpRequest();	
	}catch(e){
		try {
			this.request = new ActiveXObject("Microsoft.XMLHTTP");
		}catch(e){
			this.request = false;	
		}
	}
	
	//------------------------------------------------------------
	this.doRequest = function()
	{
		if(!this.Url)
		{
			this.onError("keine URL gesetzt");
			return false;
		}
		if(!this.Method)
		{
			this.Method = "GET";
		}else{
			this.Method = this.Method.toUpperCase();
		}
		if(!this.request)
		{
			this.onError("kein Verbindungsobjekt gesetzt");
			return false;
		}
		
		this.request.open(this.Method, this.Url, this.ASync);
		
		if(this.Method == "POST")
		{
			this.request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded")
		}
		if(this.Head)
		{
			for(var i=0; i<this.Head.length; i+=2)
			{
				this.request.setRequestHeader(this.Head[i], this.Head[i+1]);
			}
		}
		this.request.onreadystatechange = this.checkState;
		this.request.send(this.Body);
	}
	
	//------------------------------------------------------------
	this.onSuccess = function(Var_Input)
	{
		// do something
	}
	
	//------------------------------------------------------------
	this.onError = function(Var_Msg)
	{
		alert("Fehler: " + Var_Msg);
	}
	
	//------------------------------------------------------------
	this.checkState = function()
	{
		if(_this.request.readyState<4)
		{
			return false;
		}
		if(_this.request.status==200 || _this.request.status == 304)
		{
			if (!_this.ReturnXml)
			{
				_this.onSuccess(_this.request.responseText);
			} else {
				_this.onSuccess(_this.request.responseXML);
			}
			
		}
		else
		{
			_this.onError("Fehler bei der Datenuebertragung");
		}
	}
}