// -------------------------------------------------------------------------------
// HEADER BEGIN ------------------------------------------------------------------
// -------------------------------------------------------------------------------
//include_once("includes/globals.inc.js");
//include_once("includes/js/prototype.js");
//include_once("includes/js/ajax.js");
//include_once("includes/js/functions.js");
//include_once("includes/js/phpSession_functions.js");
// -------------------------------------------------------------------------------
// HEADER END --------------------------------------------------------------------
// -------------------------------------------------------------------------------

function alarmclock_updateDigits(){
	document.getElementById('TimeHour2').style.backgroundImage = 'url(pictures/number_'+SITE_AlarmTime[0]+'.png)';
	document.getElementById('TimeHour1').style.backgroundImage = 'url(pictures/number_'+SITE_AlarmTime[1]+'.png)';
	document.getElementById('TimeMinute2').style.backgroundImage = 'url(pictures/number_'+SITE_AlarmTime[2]+'.png)';
	document.getElementById('TimeMinute1').style.backgroundImage = 'url(pictures/number_'+SITE_AlarmTime[3]+'.png)';
}

// SITE_devicesArray and GLOBAL_statusArray are needed.
function alarmclock_digitUp(var_TimePos){
	var number = parseInt(SITE_AlarmTime[var_TimePos]);
	var newNumber = number;
	
	if (var_TimePos == 0){
		newNumber = ((number+1)%3);
		if ((newNumber == 2) && (SITE_AlarmTime[1] > 3)){SITE_AlarmTime[1] = 3;}
		
	} else if (var_TimePos == 1){
		if (SITE_AlarmTime[0] == 2){
			newNumber = ((number+1)%4);
		} else {
			newNumber = ((number+1)%10);
		}
		if (newNumber == 0){alarmclock_digitUp(0)}
		
	} else if (var_TimePos == 2){
		newNumber = ((number+1)%6);
		if (newNumber == 0){alarmclock_digitUp(1)}

	} else if (var_TimePos == 3){
		newNumber = ((number+1)%10);
		if (newNumber == 0){alarmclock_digitUp(2)}
	}
	
	SITE_AlarmTime[var_TimePos] = newNumber;
	alarmclock_updateDigits();
	
}

function alarmclock_digitDown(var_TimePos){
	var number = parseInt(SITE_AlarmTime[var_TimePos]);
	var newNumber = number;

	if (var_TimePos == 0){
		newNumber = ((number-1)%3);
		if (newNumber < 0){newNumber += 3;}
		if ((newNumber == 2) && (SITE_AlarmTime[1] > 3)){SITE_AlarmTime[1] = 3;}
		
	} else if (var_TimePos == 1){
		if (number == 0){alarmclock_digitDown(0)}
		if (SITE_AlarmTime[0] == 2){
			newNumber = ((number-1)%4);
			if (newNumber < 0){newNumber += 4;}
		} else {
			newNumber = ((number-1)%10);
			if (newNumber < 0){newNumber += 10;}
		}
		

	} else if (var_TimePos == 2){
		if (number == 0){alarmclock_digitDown(1)}
		newNumber = ((number-1)%6);
		if (newNumber < 0){newNumber += 6;}

	} else if (var_TimePos == 3){
		if (number == 0){alarmclock_digitDown(2)}
		newNumber = ((number-1)%10);
		if (newNumber < 0){newNumber += 10;}
	}
	
	SITE_AlarmTime[var_TimePos] = newNumber;
	alarmclock_updateDigits();
}

function alarmclock_setAlarmTime(var_time){
	if (var_time == null){
		var Time = SITE_AlarmTime[0].toString()+SITE_AlarmTime[1].toString()+'.'+SITE_AlarmTime[2].toString()+SITE_AlarmTime[3].toString();
	} else {
		var Time = var_time;	
	}
	
	regaHss_setSystemVariableDisabled('ID02', Time);
	alarmclock_parseTime(Time);
	document.getElementById("SysVar_Weckzeit").innerHTML =  Time+" Uhr";
	alarmclock_updateDigits();
}

function alarmclock_parseTime(var_value){
	var temp = new Array();
	temp = var_value.toString().split('.');
	
	if (temp[1] == null) {
		temp[1] = '00'
	}
	var Minutes = ''+temp[1].substr(0,2);
	if (temp[0].length == 2){
		if(temp[0].charAt(0) == '0'){
			var Hours = '0'+temp[0].charAt(1);
		} else {
			var Hours = temp[0];
		}
	} else if(temp[0].length == 1) {
		var Hours = '0'+temp[0];
	} else {
		var Hours = '00';
	}
	
	SITE_AlarmTime[0] = parseInt(Hours.charAt(0));
	SITE_AlarmTime[1] = parseInt(Hours.charAt(1));
	SITE_AlarmTime[2] = parseInt(Minutes.charAt(0));
	SITE_AlarmTime[3] = parseInt(Minutes.charAt(1));
}