function custom_ParseDate(var_timeDate){
	var returnString = '';
	if (var_timeDate != null){
		
		var date = new Date(var_timeDate);
		
		var Month = date.getMonth()+1; Month = ((Month < 10) ? "0" : "") + Month;
		var Day = date.getDate(); Day = ((Day < 10) ? "0" : "") + Day;
		var Hour = date.getHours(); Hour = ((Hour < 10) ? "0" : "") + Hour;
		var Minute = date.getMinutes(); Minute = ((Minute < 10) ? "0" : "") + Minute;
		var Second = date.getSeconds(); Second = ((Second < 10) ? "0" : "") + Second;
	
		returnString = '<span style="font-size: 32px; font-weight: bold;">'+Hour+':'+Minute+'</span>:'+Second+'&nbsp;&nbsp;('+Day+'.'+Month+'.'+date.getFullYear()+')';
	}
	return returnString;
}

function custom_parseText(var_deviceId, var_value){

	var device_sn = SITE_devicesArray[var_deviceId]['SN'];
	var device_container = SITE_devicesArray[var_deviceId]['HTML_CONTAINER'];
	var device_divElement = document.getElementById(device_container);
	
	if (device_sn == 'SysVar_Weckzeit'){
		//Weckzeit Variable
		
		var temp = new Array();
		temp = var_value.split('.');
		
		if (temp[1] == null) {
			temp[1] = '00'
		}
		var Minutes = parseInt(temp[1].substr(0,2));
		
		device_divElement.innerHTML = parseInt(temp[0]) + (((Minutes < 10) ? ":0" : ":") + Minutes) +" Uhr";
	}
}

//not in use
function custom_parseSymbol(var_deviceId, var_value){

	var device_sn = SITE_devicesArray[var_deviceId]['SN'];
	var device_container = SITE_devicesArray[var_deviceId]['HTML_CONTAINER'];
	var device_divElement = document.getElementById(device_container);
	
	if (device_sn == 'SysVar_Tageszeit'){
		//Tageszeit Variable
		if (var_value == "0"){
			// Nacht
			device_divElement.style.backgroundImage = "url(pictures/nacht.png)";
			
		} else if (var_value == "1"){
			// fruemorgens
			device_divElement.style.backgroundImage = "url(pictures/nacht.png)";
			
		} else if (var_value == "2"){
			// Morgengrauen
			device_divElement.style.backgroundImage = "url(pictures/sun-up.png)";
			
		} else if (var_value == "3"){
			// Vormittag
			device_divElement.style.backgroundImage = "url(pictures/sun.png)";
			
		} else if (var_value == "4"){
			// Mittag
			device_divElement.style.backgroundImage = "url(pictures/sun.png)";
			
		} else if (var_value == "5"){
			// Nachmittag
			device_divElement.style.backgroundImage = "url(pictures/sun-down.png)";
			
		} else if (var_value == "6"){
			// Abenddaemmerung
			device_divElement.style.backgroundImage = "url(pictures/nacht-halb.png)";
			
		} else if (var_value == "7"){
			// Abend
			device_divElement.style.backgroundImage = "url(pictures/nacht.png)";
			
		} 
			
	}
}