function keyboard_makeAllCapitalByClass(var_className){
	var divElements = getElementsByClass(var_className);
	for (div in divElements) {
		if (divElements[div]){
			keyboard_makeCapital(divElements[div].id);
		}
	}
	SITE_isCapital = true;
}

function keyboard_makeAllLowercaseByClass(var_className){
	var divElements = getElementsByClass(var_className);
	for (div in divElements) {
		if (divElements[div]){
			keyboard_makeLowercase(divElements[div].id);
		}
	}
	SITE_isCapital = false;
}

function keyboard_switchCapital(){
	if (SITE_isCapital == false){
		keyboard_makeAllCapitalByClass("LetterButton");
		site_makeClickedOn("button_shift");
	} else {
		keyboard_makeAllLowercaseByClass("LetterButton");
		site_makeClickedOff("button_shift");
	}
}

function keyboard_writeLetter(var_div){
	var letter = document.getElementById(var_div).getAttribute("letter");
	document.getElementById("inputText").innerHTML += letter;
	if (SITE_isCapital == true){
		setTimeout(function(){ keyboard_makeAllLowercaseByClass("LetterButton"); site_makeClickedOff("button_shift");}, 120);		
	}
}

function keyboard_eraseLetter(){
	var element = document.getElementById("inputText");
	element.innerHTML = element.innerHTML.substr(0, element.innerHTML.length-1);
}

function keyboard_addLetterWriteByClass(var_className){
	var divElements = getElementsByClass(var_className);
	var letter = '';
	var element;
	var ascii = 0;
	for (div in divElements) {
		if (divElements[div].id){
			
			if (divElements[div].addEventListener){  
				divElements[div].addEventListener('click', new Function("keyboard_writeLetter('"+divElements[div].id+"');"), false);   
			} else if (divElements[div].attachEvent){  
				divElements[div].attachEvent('onclick', new Function("keyboard_writeLetter('"+divElements[div].id+"');"));  
			}  
			element = null;
		}
	}
}

function keyboard_makeCapital(var_div){
	if (var_div != null){
		var element = document.getElementById(var_div);
		var letter = element.getAttribute("letter");
		var newLetter = letter;
		
		var image = getCssStyle(var_div, 'background-image');
		var seperator = image.lastIndexOf('keyboard/')+9;
		element.style.backgroundImage = image.substr(0, seperator)+'capital_'+image.substr(seperator);
		
		if (var_div == 'letter_semicolon'){
			newLetter = '+';
		} else if (var_div == 'letter_comma'){
			newLetter = ';';
		} else if (var_div == 'letter_dot'){
			newLetter = ':';
		} else if (var_div == 'letter_minus'){
			newLetter = '_';
		} else if (var_div == 'letter_ss'){
			newLetter = '?';
		} else {
			newLetter = letter.toUpperCase();
		}
		element.setAttribute("letter", newLetter);
	}
}

function keyboard_makeLowercase(var_div){
	if (var_div != null){
		var element = document.getElementById(var_div);
		var letter = element.getAttribute("letter");
		var newLetter = letter;
		
		var image = getCssStyle(var_div, 'background-image');
		var seperator = image.lastIndexOf('capital_');
		element.style.backgroundImage = image.substr(0, seperator)+image.substr(seperator+8);
		
		if (var_div == 'letter_semicolon'){
			newLetter = "'";
		} else if (var_div == 'letter_comma'){
			newLetter = ',';
		} else if (var_div == 'letter_dot'){
			newLetter = '.';
		} else if (var_div == 'letter_minus'){
			newLetter = '-';
		} else if (var_div == 'letter_ss'){
			newLetter = '';
		} else {
			newLetter = letter.toLowerCase();
		}
		element.setAttribute("letter", newLetter);
	}
}