// -------------------------------------------------------------------------------
// HEADER BEGIN ------------------------------------------------------------------
// -------------------------------------------------------------------------------
//include_once("includes/globals.inc.js");
//include_once("includes/js/prototype.js");
//include_once("includes/js/ajax.js");
//include_once("includes/js/functions.js");
//include_once("includes/js/json-minified.js");
//include_once("includes/js/site_functions.js");
// -------------------------------------------------------------------------------
// HEADER END --------------------------------------------------------------------
// -------------------------------------------------------------------------------

// set a value in the php $_SESSION['HOMEMATIC'] array
function phpSession_setValue(var_dev, var_what, var_value){
	var params = ("array=homematic&dev="+var_dev+"&what="+var_what+"&value="+var_value);
	new Ajax.Request("../../includes/php/phpSession_setValue.php", {method:"get", parameters:params});
}

// set a value in the php $_SESSION['SONOS'] array
function phpSession_setSonosValue(var_dev, var_what, var_value){
	var params = ("array=sonos&dev="+var_dev+"&what="+var_what+"&value="+var_value);
	new Ajax.Request("../../includes/php/phpSession_setValue.php", {method:"get", parameters:params});
}

// gets the current content of the php $_SESSION['SONOS'] array, SITE_refreshRate and GLOBAL_sonosArray are needed.
function phpSession_RequestSonosArray(){
	updateLed("green");
	var params = ("array=sonos");
	new Ajax.Request("../../includes/php/phpSession_displayArray.php", {
		method:"get", 
		parameters:params, 
		onSuccess:function(transport){
			//parse response text to GLOBAL_statusArray
			GLOBAL_sonosArray = jsonParse(transport.responseText);
			site_sonos_updateMusicSates();
			GLOBAL_LastUpdate = GLOBAL_sonosArray["LastGlobalUpdate"];
			updateLed("none");
	}});
	
}
// gets the current content of the php $_SESSION['SONOS'] array, SITE_refreshRate and GLOBAL_sonosArray are needed.
function phpSession_SonosGetPositionInfo(){
	updateLed("yellow");
	new Ajax.Request("../../includes/php/sonos_GetPositionInfo.php", {
		method:"get", 
		onSuccess:function(transport){
			SITE_newPosition = true;
			phpSession_RequestSonosArray();
			updateLed("none");
	}});
	
}

// gets the current content of the php $_SESSION['HOMEMATIC'] array, SITE_refreshRate and GLOBAL_statusArray are needed.
function phpSession_RequestGlobalDeviceArray(){
	updateLed("black");
	var params = ("array=homematic");
	new Ajax.Request("../../includes/php/phpSession_displayArray.php", {
		method:"get", 
		parameters:params, 
		onSuccess:function(transport){
			//parse response text to GLOBAL_statusArray
			GLOBAL_statusArray = jsonParse(transport.responseText);
			site_updateControls();
			GLOBAL_LastUpdate = GLOBAL_statusArray["LastGlobalUpdate"];
			updateLed("none");
	}});
	
}