<?php
	require_once("xmlrpc.inc");
	require_once("xmlrpcs.inc");
	require_once("xmlrpc_wrappers.inc");
	require_once("../globals.inc.php");
	if (SIMULATION) {die("Simulation Mode");}

	if (isset($_GET["port"]) && ($_GET["port"]!="")) {
		switch ((int)$_GET["port"]) {
			case 2000:
				define("XMLRPC_SERVER_PORT", 2000);
				break;
			case 2001:
				define("XMLRPC_SERVER_PORT", 2001);
				break;
			case 2002:
				define("XMLRPC_SERVER_PORT", 2002);
				break;
			default:
				die("unknown port");
				break;
		}		
		
	} else {
		die("no communication port");	
	}


	$client = new xmlrpc_client(XMLRPC_SERVER_ADDRESS.":".XMLRPC_SERVER_PORT);
	$xmlrpcval_array = array();

	$xmlrpcval_array[0] = new xmlrpcval(XMLRPC_CLIENT_COMPLETE_PATH, "string");
	$xmlrpcval_array[1] = new xmlrpcval(XMLRPC_SESSION_ID, "string");
	
	if ( isset($_GET["id"]) ) {
		$id = $_GET["id"];
		if ( (strtolower($id) == "deinit") || ($id == "") ){
			$xmlrpcval_array[1] = new xmlrpcval("", "string");
		} else {
			$xmlrpcval_array[1] = new xmlrpcval($_GET["id"], "string");
		}
	}

	print_r($client->send(new xmlrpcmsg("init", $xmlrpcval_array)));
?>