<?php
	require_once("xmlrpc.inc");
	require_once("xmlrpcs.inc");
	require_once("xmlrpc_wrappers.inc");

	require_once("../globals.inc.php");
	session_id(XMLRPC_SESSION_ID);
	session_start();
	if (isset($_GET["port"]) && ($_GET["port"]!="")) {
		switch ((int)$_GET["port"]) {
			case 2000:
				define("XMLRPC_SERVER_PORT", 2000);
				break;
			case 2001:
				define("XMLRPC_SERVER_PORT", 2001);
				break;
			case 2002:
				define("XMLRPC_SERVER_PORT", 2002);
				break;
			default:
				die("unknown port");
				break;
		}		
		
	} else {
		die("no communication port");	
	}

	$client = new xmlrpc_client(XMLRPC_SERVER_ADDRESS.":".XMLRPC_SERVER_PORT);
	$xmlrpcval_array = array();

	if ( (isset($_GET["dev"]) && ($_GET["dev"]!="")) && (isset($_GET["what"]) && ($_GET["what"]!="")) && (isset($_GET["value"]) && ($_GET["value"]!=""))){
		$device = $_GET["dev"];
		$what = $_GET["what"];
		$value = $_GET["value"];
		$writeSession = true;
		
		$xmlrpcval_array[0] = new xmlrpcval($device, "string");
		$xmlrpcval_array[1] = new xmlrpcval($what, "string");

		if($what == "STATE"){
			if ($value == "false"){
				$xmlrpcval_array[2] = new xmlrpcval(false, "boolean");
			} else if ($value == "true") {
				$xmlrpcval_array[2] = new xmlrpcval(true, "boolean");
			} else {
				$xmlrpcval_array[2] = new xmlrpcval($value, "boolean");
			}
			
		} else if($what == "LEVEL"){
			$xmlrpcval_array[2] = new xmlrpcval($value, "string");
			if (SIMULATION) {$_SESSION['HOMEMATIC'][$device]["WORKING"] = "false";}
		} else if($what == "OLD_LEVEL"){
			$xmlrpcval_array[2] = new xmlrpcval(true, "boolean");
			$writeSession = false;
		} else {
			if ( (isset($_GET["type"])) && ($_GET["type"]!="") ){
				$xmlrpcval_array[2] = new xmlrpcval($value, $_GET["type"]);
			} else {
				die("unknown type");	
			}
		}
		// set the value in the SESSION variable
		if ($writeSession) {$_SESSION['HOMEMATIC'][$device][$what] = $value;}
		
		if (SIMULATION) {die("Simulation Mode");}
		print_r($client->send(new xmlrpcmsg("setValue", $xmlrpcval_array)));
	}
?>