function regaHss_createRequestString(){
	updateLed("black");
	
	var device_sn = '';
	var device_typ = '';
	var cmd = '';
	
	for (device_id in SITE_devicesArray){
		device_typ = SITE_devicesArray[device_id]['TYP'];
		device_sn = SITE_devicesArray[device_id]['SN'];
		
		if ( device_typ.indexOf("REGAHSS") == -1 ){
			continue;
		}
		
		if ( device_typ.indexOf("REGAHSS_VARIABLE") >= -1 ){
			cmd += 'var '+device_id+'_VARIABLE = dom.GetObject("'+device_sn+'").Variable();';
		}
		
	}
	return cmd;
}

function regaHss_RequestGlobalDeviceArray(var_cmd){
	updateLed("red");
	var response;
	var params = ("cmd="+var_cmd);
	new Ajax.Request("../../includes/php/regaHss_requestCommand.php", {
					 method:"get", 
					 parameters:params, 
					 onSuccess:function(transport){
						 //alert("Transporttext:"+transport.responseText);
						var responseArray = jsonParse(transport.responseText);
						regaHss_parseArray(responseArray);
						site_updateControls();
						updateLed("none");
					}});
	
}

function regaHss_parseArray(var_responseArray){

	for (responseId in var_responseArray){
		
		var seperator = responseId.lastIndexOf('_');
		
		var device_id = responseId.substring(0,seperator);
		var device_what = responseId.substring(seperator+1);
		
		if (GLOBAL_regaHssArray[device_id] == null){
			GLOBAL_regaHssArray[device_id] = new Array();
		}
		GLOBAL_regaHssArray[device_id][device_what] = var_responseArray[responseId];
		//alert("device_id: "+device_id+"; device_what: "+device_what+"; var_responseArray[responseId]: "+var_responseArray[responseId]);
	}
	
}

// starts HM program var_program
function regaHss_executeProgram(var_program){
	regaHss_sendCommand("dom.GetObject('"+var_program+"').ProgramExecute();");
}

// send HM-script command var_cmd to the CCU without return value
function regaHss_sendCommand(var_cmd){
	var params = ("cmd="+var_cmd);
	new Ajax.Request("../../includes/php/regaHss_sendCommand.php", {method:"get", parameters:params,onSuccess:function(transport){site_updateControls();}});
}

// sets value var_value to HM system variabel var_sysvar
function regaHss_setSystemVariable(var_systemVariableId, var_value){

	//change button image to unknown state
	var element = document.getElementById(SITE_devicesArray[var_systemVariableId]['HTML_CONTAINER']);
	element.style.backgroundImage = "url(pictures/unknown.png)";

	if (GLOBAL_regaHssArray[var_systemVariableId] == null){
		GLOBAL_regaHssArray[var_systemVariableId] = new Array();
	}

	GLOBAL_regaHssArray[var_systemVariableId]['VARIABLE'] = var_value;

	regaHss_sendCommand("dom.GetObject('"+SITE_devicesArray[var_systemVariableId]['SN']+"').Variable("+var_value+");");
	
}

function regaHss_setSystemVariableDisabled(var_systemVariableId, var_value){

	if (GLOBAL_regaHssArray[var_systemVariableId] == null){
		GLOBAL_regaHssArray[var_systemVariableId] = new Array();
	}

	GLOBAL_regaHssArray[var_systemVariableId]['VARIABLE'] = var_value;

	regaHss_sendCommand("dom.GetObject('"+SITE_devicesArray[var_systemVariableId]['SN']+"').Variable("+var_value+");");
	
}

function regaHss_setSystemVariable_div(var_systemVariableId, var_value, var_div){

	//change button image to unknown state
	var element = document.getElementById(var_div);
	element.style.backgroundImage = "url(pictures/unknown.png)";

	if (GLOBAL_regaHssArray[var_systemVariableId] == null){
		GLOBAL_regaHssArray[var_systemVariableId] = new Array();
	}

	GLOBAL_regaHssArray[var_systemVariableId]['VARIABLE'] = var_value;

	regaHss_sendCommand("dom.GetObject('"+SITE_devicesArray[var_systemVariableId]['SN']+"').Variable("+var_value+");");
	
}