<?php
	require_once("xmlrpc.inc");
	require_once("xmlrpcs.inc");
	require_once("xmlrpc_wrappers.inc");

	require_once("../globals.inc.php");
	if (SIMULATION) {die("Simulation Mode");}
	session_id(XMLRPC_SESSION_ID);
	session_start();

	$client = new xmlrpc_client(XMLRPC_SERVER_ADDRESS.":".XMLRPC_SERVER_PORT);
	$client->return_type = 'phpvals';
	$xmlrpcval_array = array();

	if ( (isset($_GET["dev"]) && ($_GET["dev"]!="")) && (isset($_GET["what"]) && ($_GET["what"]!="")) ){
		$device = $_GET["dev"];
		$what = $_GET["what"];
		
		
		$xmlrpcval_array[0] = new xmlrpcval($device, "string");
		$xmlrpcval_array[1] = new xmlrpcval($what, "string");

		$resp = $client->send(new xmlrpcmsg("getValue", $xmlrpcval_array));
		//print_r($client->send(new xmlrpcmsg("getValue", $xmlrpcval_array)));
		if ($resp->faultCode()) {
			echo 'Error: '.$resp->faultString();
		} else {
			$respValue = $resp->value();
			if(is_bool($respValue)){
				if ($respValue == true){
					$respValue = "true";
				} else if ($respValue == false){
					$respValue = "false";
				}
				
			} else {
				$respValue = (string)$respValue;
			}

			
			echo json_encode($respValue);
			// set the value in the SESSION variable
			$_SESSION['HOMEMATIC'][$device][$what] = $respValue;
		}
	}
?>